게시물
리포스트한 계정 조회
GET /v1/tweets/{tweet_id}/retweeters reads 2 크레딧
게시물을 리포스트한 계정들, 전체 프로필 형태.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 20 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서 |
응답
게시물 id, 이 페이지의 리포스트한 계정들, 다음 페이지 커서(끝이면 null). 알 수 없는 게시물은 커서 없는 빈 목록을 반환합니다.
상태: 200, 422, 429, 502
요청
curl https://api.xsignalfeed.com/v1/tweets/2099875660290228642/retweeters?count=20 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 422
{
"tweet_id": "2099875660290228642",
"users": [
{
"id": "2029400279339446272",
"screen_name": "…",
"name": "…",
"bio": "…",
"avatar": "https://pbs.twimg.com/profile_images/…/7pUS7kMJ_normal.jpg",
"banner": "https://pbs.twimg.com/profile_banners/…/1772682121",
"followers": 6035,
"following": 3469,
"tweets": 34341,
"location": "",
"url": "",
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": "2026-03-05T03:37:18Z",
"category": null
},
{
"…": "…"
}
],
"next_cursor": "HBaAgICn44npijQAAA=="
}